Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 09-10-05, 12:38 AM   #1
oglop
Registered User
 
Join Date: Sep 2005
Posts: 1
Default 1.0.6629 on fc4 install failed

the installer refuse to build the kernel module even i patched the driver with zander's patch scripts and replaced the installer and the makedevice$$$


using geforce 2 gts pro


nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat Sep 10 12:16:32 2005

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : false
no questions : false
silent : false
no backup : false
kernel module only : false
sanity : false
add this kernel : false
no runlevel check : false
no network : false
no ABI note : false
no RPMs : false
force tls : (not specified)
force compat32 tls : (not specified)
X install prefix : /usr/X11R6
OpenGL install prefix : /usr
compat32 install prefix : (not specified)
installer install prefix: /usr
utility install prefix : /usr
kernel name : (not specified)
kernel include path : (not specified)
kernel source path : (not specified)
kernel output path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /tmp
ftp mirror : ftp://download.nvidia.com
RPM file list : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: No)
-> No precompiled kernel interface was found to match your kernel; this means
that the installer will need to compile a new kernel interface.
-> Kernel source path: '/lib/modules/2.6.11-1.1369_FC4/source'
-> Performing CC test with CC="cc".
-> Performing rivafb check.
-> Performing rivafb module check.
WARNING: Your kernel was configured to include rivafb support as
a loadable kernel module.

The rivafb driver conflicts with the NVIDIA driver; the
NVIDIA kernel module will still be built and installed,
but be aware that the NVIDIA driver will not be able to
function properly if the rivafb module is loaded!
-> Cleaning kernel module build directory.
executing: 'cd ./usr/src/nv; make clean'...
rm -f -f nv.o nv-vm.o os-agp.o os-interface.o os-registry.o nv.o nv-vm.o os-
agp.o os-interface.o os-registry.o nvidia.mod.o
rm -f -f build-in.o nv-linux.o *.d .*.{cmd,flags}
rm -f -f nvidia.{o,ko,mod.{o,c}} nv_compiler.h *~
rm -f -rf .tmp_versions
-> Building kernel module:
executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.11-1.1369_F
C4/source SYSOUT=/lib/modules/2.6.11-1.1369_FC4/build'...
Your kernel was configured to include rivafb support as
a loadable kernel module.

The rivafb driver conflicts with the NVIDIA driver; the
NVIDIA kernel module will still be built and installed,
but be aware that the NVIDIA driver will not be able to
function properly if the rivafb module is loaded!

*** Failed rivafb module sanity check, but continuing! ***


NVIDIA: calling KBUILD...
make CC=cc KBUILD_OUTPUT=/lib/modules/2.6.11-1.1369_FC4/build KBUILD_VERBOSE
=1 -C /lib/modules/2.6.11-1.1369_FC4/source SUBDIRS=/home/linkin/NVIDIA-Linu
x-x86-1.0-6629-pkg1/usr/src/nv modules
make -C /lib/modules/2.6.11-1.1369_FC4/build \
KBUILD_SRC=/usr/src/kernels/2.6.11-1.1369_FC4-i686 KBUILD_VERBOSE=1 \
KBUILD_CHECK= KBUILD_EXTMOD="/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr
/src/nv" \
-f /usr/src/kernels/2.6.11-1.1369_FC4-i686/Makefile modules
mkdir -p /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/.tmp_version
s
make -f /usr/src/kernels/2.6.11-1.1369_FC4-i686/scripts/Makefile.build obj=/
home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /home/linkin/NVIDIA
-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv_compiler.h
cc -Wp,-MD,/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/.nv.o.d
-nostdinc -isystem /usr/lib/gcc/i386-redhat-linux/4.0.0/include -D__KERNEL__
-Iinclude -Iinclude2 -I/usr/src/kernels/2.6.11-1.1369_FC4-i686/include -I/h
ome/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv -Wall -Wstrict-prototyp
es -Wno-trigraphs -fno-strict-aliasing -fno-common -ffreestanding -O2 -fomit
-frame-pointer -g -pipe -msoft-float -m32 -fno-builtin-sprintf -fno-builtin-
log2 -fno-builtin-puts -mpreferred-stack-boundary=2 -fno-unit-at-a-time -mar
ch=i686 -mtune=pentium4 -mregparm=3 -I/usr/src/kernels/2.6.11-1.1369_FC4-i68
6/include/asm-i386/mach-default -Iinclude/asm-i386/mach-default -Wdeclaratio
n-after-statement -Wno-pointer-sign -I/home/linkin/NVIDIA-Linux-x86-1.0-662
9-pkg1/usr/src/nv -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-su
bscripts -Wparent
heses -Wpointer-arith -Wno-multichar -Werror -O -fno-common -MD -Wno-cast-qu
al -Wno-error -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNTRM -D_GNU_SOUR
CE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MIN
OR_VERSION=0 -DNV_PATCHLEVEL=6629 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU
_X86 -UDEBUG -U_DEBUG -DNDEBUG -DNV_REMAP_PFN_RANGE_PRESENT -DNV_CHANGE_PAGE
_ATTR_PRESENT -DNV_PCI_DISABLE_DEVICE_PRESENT -DNV_CLASS_SIMPLE_CREATE_PRESE
NT -DNV_PCI_GET_CLASS_PRESENT -DMODULE -DKBUILD_BASENAME=nv -DKBUILD_MODNAME
=nvidia -c -o /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/.tmp_nv
.o /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c
In file included from include/linux/list.h:7,
from include/linux/wait.h:23,
from include/asm/semaphore.h:41,
from include/linux/sched.h:20,
from include/linux/module.h:10,
from /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
/nv-linux.h:52,
from /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
/nv.c:14:
include/linux/prefetch.h: In function ‚€˜prefetch_range‚€™:
include/linux/prefetch.h:62: warning: pointer of type ‚€˜void *‚€™ used in a
rithmetic
In file included from include/linux/dmapool.h:14,
from include/linux/pci.h:864,
from /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
/nv-linux.h:75,
from /home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
/nv.c:14:
include/asm/io.h: In function ‚€˜check_signature‚€™:
include/asm/io.h:253: warning: wrong type argument to increment
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c: In function ‚€˜
nvidia_init_module‚€™:
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:936: warning: ‚€
˜pm_register‚€™ is deprecated (declared at include/linux/pm.h:106)
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:993: warning: ‚€
˜pm_unregister‚€™ is deprecated (declared at include/linux/pm.h:111)
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c: In function ‚€˜
nvidia_exit_module‚€™:
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:1072: warning: ‚
€˜pm_unregister‚€™ is deprecated (declared at include/linux/pm.h:111)
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c: In function ‚€˜
nv_agp_init‚€™:
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:3023: error: too
few arguments to function ‚€˜agp_backend_acquire‚€™
/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:3025: error: too
few arguments to function ‚€˜agp_backend_release‚€™
make[4]: *** [/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.o] E
rror 1
make[3]: *** [_module_/home/linkin/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv
] Error 2
make[2]: *** [modules] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
oglop is offline   Reply With Quote
Old 09-12-05, 01:54 PM   #2
MegaBill
Registered User
 
Join Date: Sep 2005
Posts: 9
Default Re: 1.0.6629 on fc4 install failed

I am having this exact same problem with 6629. The thing is, I can't find a single nvidia driver to work with my linux system; I have tried various drivers and have gotten different failed results. I have fedora core 4 installed with a default kernel, and the error report generated was very similar if not exactly the same as oglop's. There has got to be some technician here who can help us out. If not then at least tell me which driver is guaranteed to work here...
MegaBill is offline   Reply With Quote
Old 09-12-05, 02:09 PM   #3
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: 1.0.6629 on fc4 install failed

1.0-7676 installs just fine on FC4. Make sure to disable SELinux before installing the driver by running 'setenforce 0'. You can re-enable it afterwards with 'setenforce 1'.
netllama is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Regression with 295.33 and GeForce GT 240 maro NVIDIA Linux 16 06-29-12 07:47 PM
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 09:27 AM
nForce + RedHat 7.3 Success Story rtz NVIDIA Linux 47 02-15-03 03:20 AM
Red Hat null(limbo beta 3), guide to install Nvidia Drivers utiel NVIDIA Linux 21 09-30-02 06:32 PM
can't install old det's after 40.41's m!n!0n NVIDIA Windows Graphics Drivers 1 09-16-02 12:58 PM

All times are GMT -5. The time now is 12:42 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright ©1998 - 2014, nV News.